Skip to main content
GET
https://{tenantDomain}/api/v2
/
device-credentials
Go
package example

import (
    context "context"

    management "github.com/auth0/go-auth0/management/management"
    client "github.com/auth0/go-auth0/management/management/client"
    option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    request := &management.ListDeviceCredentialsRequestParameters{
        Page: management.Int(
            1,
        ),
        PerPage: management.Int(
            1,
        ),
        IncludeTotals: management.Bool(
            true,
        ),
        Fields: management.String(
            "fields",
        ),
        IncludeFields: management.Bool(
            true,
        ),
        UserId: management.String(
            "user_id",
        ),
        ClientId: management.String(
            "client_id",
        ),
        Type: management.DeviceCredentialTypeEnumPublicKey.Ptr(),
    }
    client.DeviceCredentials.List(
        context.TODO(),
        request,
    )
}
[
  {
    "id": "dcr_0000000000000001",
    "device_name": "iPhone Mobile Safari UI/WKWebView",
    "device_id": "550e8400-e29b-41d4-a716-446655440000",
    "type": "public_key",
    "user_id": "usr_5457edea1b8f33391a000004",
    "client_id": "AaiyAPdpYdesoKnqjj8HJqRn4T5titww"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer

Page index of the results to return. First page is 0.

Required range: x >= 0
per_page
integer

Number of results per page. There is a maximum of 1000 results allowed from this endpoint.

Required range: 1 <= x <= 100
include_totals
boolean

Return results inside an object that contains the total result count (true) or as a direct array of results (false, default).

fields
string

Comma-separated list of fields to include or exclude (based on value provided for include_fields) in the result. Leave empty to retrieve all fields.

include_fields
boolean

Whether specified fields are to be included (true) or excluded (false).

user_id
string

user_id of the devices to retrieve.

client_id
string

client_id of the devices to retrieve.

type
enum<string>

Type of credentials to retrieve. Must be public_key, refresh_token or rotating_refresh_token. The property will default to refresh_token when paging is requested

Available options:
public_key,
refresh_token,
rotating_refresh_token

Response

Device credentials successfully retrieved.

id
string
default:dcr_0000000000000001

ID of this device.

device_name
string
default:iPhone Mobile Safari UI/WKWebView

User agent for this device

device_id
string
default:550e8400-e29b-41d4-a716-446655440000

Unique identifier for the device. NOTE: This field is generally not populated for refresh_tokens and rotating_refresh_tokens

type
enum<string>

Type of credential. Can be public_key, refresh_token, or rotating_refresh_token.

Available options:
public_key,
refresh_token,
rotating_refresh_token
user_id
string
default:usr_5457edea1b8f33391a000004

user_id this credential is associated with.

client_id
string
default:AaiyAPdpYdesoKnqjj8HJqRn4T5titww

client_id of the client (application) this credential is for.